Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cms
Class CMSKEKRecipientInfoSpec

`java.lang.Object
oracle.security.crypto.cms.CMSKEKRecipientInfoSpec`

All Implemented Interfaces:
  CMSRecipientInfoSpec

public class CMSKEKRecipientInfoSpec
extends java.lang.Object
implements CMSRecipientInfoSpec

This class encapsulates a recipient key encipherment (wrapping) key management mechanism information.

Constructor Summary
`CMSKEKRecipientInfoSpec(oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID, oracle.security.crypto.core.SymmetricKey symmetricKey, byte[] keyIdentifier)` Creates a `CMSKEKRecipientInfoSpec`.
`CMSKEKRecipientInfoSpec(oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID, oracle.security.crypto.core.SymmetricKey symmetricKey, byte[] keyIdentifier, java.util.Date keyDate)` Creates a `CMSKEKRecipientInfoSpec`.
`CMSKEKRecipientInfoSpec(oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID, oracle.security.crypto.core.SymmetricKey symmetricKey, byte[] keyIdentifier, java.util.Date keyDate, oracle.security.crypto.asn1.ASN1Sequence otherKeyAttribute)` Creates a `CMSKEKRecipientInfoSpec`.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Indicates whether some other object is "equal to" this one.
`java.util.Date` | `getKeyDate()` Returns the key generation date.
`oracle.security.crypto.core.AlgorithmIdentifier` | `getKeyEncryptionAlgID()` Returns the key encryption (wrap) algorithm.
`byte[]` | `getKeyIdentifier()` Returns the key encryption (wrap) key identifier.
`oracle.security.crypto.asn1.ASN1Sequence` | `getOtherKeyAttribute()` Returns the other key attribute.
`oracle.security.crypto.core.SymmetricKey` | `getSymmetricKey()` Returns the key encryption (wrap) key.
`int` | `hashCode()` Returns a hash code value for this object.
`void` | `setKeyDate(java.util.Date keyDate)` Sets the key generation date.
`void` | `setKeyIdentifier(byte[] keyIdentifier)` Sets the key encryption (wrap) key identifier.
`void` | `setOtherKeyAttribute(oracle.security.crypto.asn1.ASN1Sequence otherKeyAttribute)` Set the other key attribute.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSKEKRecipientInfoSpec

    public CMSKEKRecipientInfoSpec(oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID,
                                   oracle.security.crypto.core.SymmetricKey symmetricKey,
                                   byte[] keyIdentifier)

  Creates a `CMSKEKRecipientInfoSpec`.
Parameters:
  `keyEncryptionAlgID` - The key encryption (wrap) algorithm.
  `symmetricKey` - The key used to encrypt (wrap) the content encryption key.
  `keyIdentifier` - Symmetric Key Encryption (Wrap) key identifier.

### CMSKEKRecipientInfoSpec

    public CMSKEKRecipientInfoSpec(oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID,
                                   oracle.security.crypto.core.SymmetricKey symmetricKey,
                                   byte[] keyIdentifier,
                                   java.util.Date keyDate)

  Creates a `CMSKEKRecipientInfoSpec`.
Parameters:
  `keyEncryptionAlgID` - The key encryption (wrap) algorithm.
  `symmetricKey` - The key used to wrap the content encryption key.
  `keyIdentifier` - The key encryption (wrapping) key identifier.
  `keyDate` - Date on which the encryption (wrapping) key was generated.

### CMSKEKRecipientInfoSpec

    public CMSKEKRecipientInfoSpec(oracle.security.crypto.core.AlgorithmIdentifier keyEncryptionAlgID,
                                   oracle.security.crypto.core.SymmetricKey symmetricKey,
                                   byte[] keyIdentifier,
                                   java.util.Date keyDate,
                                   oracle.security.crypto.asn1.ASN1Sequence otherKeyAttribute)
                            throws oracle.security.crypto.util.InvalidInputException

  Creates a `CMSKEKRecipientInfoSpec`.
Parameters:
  `keyEncryptionAlgID` - The key encryption (wrap) algorithm.
  `symmetricKey` - The key used to encrypt (wrap) the content encryption key.
  `keyIdentifier` - The key encryption (wrapping) key identifier.
  `keyDate` - Date when the encryption (wrapping) key was generated.
  `otherKeyAttribute` - Other attributes that can be used to identify the encryption (wrapping) key.
Throws:
  `oracle.security.crypto.util.InvalidInputException` - The OtherKeyAttribute does NOT contain atleast 1 element or the first element of the ASN1Sequence is not an ASN1ObjectID.

Method Detail

### setKeyIdentifier

    public void setKeyIdentifier(byte[] keyIdentifier)

  Sets the key encryption (wrap) key identifier.
  Parameters:
    `keyIdentifier` - The key identifierkeyIdentifier.

### getKeyIdentifier

    public byte[] getKeyIdentifier()

  Returns the key encryption (wrap) key identifier.
  Returns:
    The key identifier in a byte array.

### setKeyDate

    public void setKeyDate(java.util.Date keyDate)

  Sets the key generation date.
  Parameters:
    `keyDate` - The key generation date.

### getKeyDate

    public java.util.Date getKeyDate()

  Returns the key generation date.
  Returns:
    The key generation date.

### setOtherKeyAttribute

    public void setOtherKeyAttribute(oracle.security.crypto.asn1.ASN1Sequence otherKeyAttribute)
                              throws oracle.security.crypto.util.InvalidInputException

  Set the other key attribute.
  Parameters:
    `otherKeyAttribute` - The OtherKeyAttribute.
  Throws:
    `oracle.security.crypto.util.InvalidInputException` - The OtherKeyAttribute does NOT contain atleast 1 element or the first element of the ASN1Sequence is not an ASN1ObjectID.

### getOtherKeyAttribute

    public oracle.security.crypto.asn1.ASN1Sequence getOtherKeyAttribute()

  Returns the other key attribute.
  Returns:
    The OtherKeyAttribute.

### getKeyEncryptionAlgID

    public oracle.security.crypto.core.AlgorithmIdentifier getKeyEncryptionAlgID()

  Returns the key encryption (wrap) algorithm.
  Returns:
    The algorithm identifier.

### getSymmetricKey

    public oracle.security.crypto.core.SymmetricKey getSymmetricKey()

  Returns the key encryption (wrap) key.
  Returns:
    The key wrapping key.

### equals

    public boolean equals(java.lang.Object obj)

  Indicates whether some other object is "equal to" this one.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for this object.
  Returns:
    The hash code value.

Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools CMS Java API Reference 10g Release 3 (10.1.3) B25377-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.